import { CalculationProperty, DataSettings, ParameterProperty } from '@metad/ocap-core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface EntityUpdateEvent {
    type: 'Parameter' | 'Calculation';
    dataSettings: DataSettings;
    parameter?: ParameterProperty;
    property?: CalculationProperty;
}
export declare class NgmOcapCoreService {
    #private;
    protected dateVariables: import("../models").DateVariable[];
    updateEntity(event: EntityUpdateEvent): void;
    onEntityUpdate(): Observable<EntityUpdateEvent>;
    getDateVariables(): import("../models").DateVariable[];
    execDateVariables(id: string): Date | [Date, Date];
    openCalculation(params: any): Observable<CalculationProperty>;
    setCalculationHandler(handler: (params: any) => Observable<CalculationProperty>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmOcapCoreService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgmOcapCoreService>;
}
